{%- from "designate/map.jinja" import server, worker, pool_manager, agent with context %}

designate_task_service_running:
  test.show_notification:
    - name: "dump_message_service_running_designate"
    - text: "Running designate.upgrade.service_running"

{%- set dservices = [] %}

{%- if server.get('enabled', false) %}
  {%- do dservices.extend(server.services) %}
{%- endif %}

{%- if pool_manager.get('enabled', false) %}
  {%- do dservices.extend(pool_manager.services) %}
{%- endif %}

{%- if worker.get('enabled', false) %}
  {%- do dservices.extend(worker.services) %}
{%- endif %}

{%- if agent.get('enabled', false) %}
  {%- do dservices.extend(agent.services) %}
{%- endif %}

{%- for dservice in dservices %}
designate_service_running_{{ dservice }}:
  service.running:
    - enable: true
    - name: {{ dservice }}
    {%- if grains.get('noservices') %}
    - onlyif: /bin/false
    {%- endif %}
{%- endfor %}
